Flag a message
curl --request POST \
--url https://{appid}.api-{region}.cometchat.io/v3/messages/{id}/flagged \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--header 'onBehalfOf: <onbehalfof>' \
--data '{
"id": "spam"
}'import requests
url = "https://{appid}.api-{region}.cometchat.io/v3/messages/{id}/flagged"
payload = { "id": "spam" }
headers = {
"onBehalfOf": "<onbehalfof>",
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
onBehalfOf: '<onbehalfof>',
apikey: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({id: 'spam'})
};
fetch('https://{appid}.api-{region}.cometchat.io/v3/messages/{id}/flagged', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Message 540092 has been flagged successfully."
}AI Moderation
Flag a message
Flags a specific message for moderation review. The flagged message is presented to a moderator for evaluation, who can then decide to either block the message or approve it based on the review outcome.
POST
/
messages
/
{id}
/
flagged
Flag a message
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
Id of the message of the message to be flagged.
Body
application/json
Unique identifier of the moderation reason used to flag the message.
Example:
"spam"
Response
200 - application/json
Delete Reasons
The response is of type object.
Was this page helpful?
⌘I